
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android应用程序签名概述 / iVAN</title>

    <meta name="description" content="Android应用程序签名概述 在Android 系统中,所有安装到系统的应用程序都必有一个数字证书,此数字证书用于标识应用程序的作者和在应用程序之间建立信任关系. 1. 为什么要签名 如果只能用一句简单的话语来回答这个问题的话,我会说:&quot;这是Android系统所要求的&quot;. 应用程序签名是一个这样的过程,即使用私有密钥数字地签署一个给定的应用程序,以便达到如下3个目的: ◆识别代码的作者 ◆检测应用程序是否发生了改变 ◆在应用程序之间建立信任 基于这一信任关系,应用程序可以安全地共享代码和数据.如果一个 p ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Android应用程序签名概述</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>在Android 系统中，所有安装到系统的应用程序都必有一个数字证书，此数字证书用于标识应用程序的作者和在应用程序之间建立信任关系。</p>
<p>1. 为什么要签名</p>
<p>如果只能用一句简单的话语来回答这个问题的话，我会说：“这是Android系统所要求的”。</p>
<p>应用程序签名是一个这样的过程，即使用私有密钥数字地签署一个给定的应用程序，以便达到如下3个目的：</p>
<p>◆识别代码的作者</p>
<p>◆检测应用程序是否发生了改变</p>
<p>◆在应用程序之间建立信任</p>
<p>基于这一信任关系，应用程序可以安全地共享代码和数据。如果一个 permission的保护级别为signature，那么就只有那些跟该permission所在的程序拥有同一个数字证书的应用程序才能取得该权限。Android使用Java的数字证书相关的机制 来给APK加盖数字证书，要理解android的数字证书，需要先了解以下数字证书的概念和java的数字证书机制。Android系统要求每一个安装到系统的应用程序都是经过数字证书签名的，数字证书的私钥则保存在程序开发者的手中。也就是说如果一个Android应用程序没有经过数字签名，是没有办法安装到系统中的!Android通过数字签名来标识应用程序的作者和在应用程序之间建立信任关系，不是用来决定最终用户可以安装哪些应用程序。这个数字签名由应用程序的作者完成，并不需要权威的数字证书签名机构认证，它只是用来让应用程序包自我认证的。</p>
<p>尤其值得注意的是：与信息安全领域其他使用数字证书的用途不同，Android将数字证书用来标识应用程序的作者和在应用程序之间建立信任关系，不是用来决定最终用户可以安装哪些应用程序。这个数字证书并不需要权威的数字证书签名机构认证，它只是用来让应用程序包自我认证的。也就是说，这个证书完全是由开发者来进行控制和使用的。</p>
<p>开发者可以生成不同的证书，我们建议同一个开发者的多个程序尽可能使用同一个数字证书，这可以带来以下好处：</p>
<p>◆ 有利于程序升级，当新版程序和旧版程序的数字证书相同时，Android系统才会认为这两个程序是同一个程序的不同版本。如果新版程序和旧版程序的数字证书不相同，则Android系统认为他们是不同的程序，并产生冲突，会要求新程序更改包名。</p>
<p>◆ 有利于程序的模块化设计和开发。Android系统允许拥有同一个数字签名的程序运行在一个进程中，Android程序会将他们视为同一个程序。所以开发者可以将自己的程序分模块开发，而用户只需要在需要的时候下载适当的模块。</p>
<p>◆ 可以通过权限(permission)的方式在多个程序间共享数据和代码。Android提供了基于数字证书的权限赋予机制，应用程序可以和其他的程序共享该功能或者数据给那那些与自己拥有相同数字证书的程序。如果某个权限(permission)的保护级别是signature，则这个权限就只能授予那些跟该权限所在的包拥有同一个数字证书的程序。</p>
<p>2. 签名的相关问题</p>
<p>在签名时，需要考虑数字证书的有效期：</p>
<p>◆数字证书的有效期要包含程序的预计生命周期，一旦数字证书失效，持有该数字证书的程序将不能正常升级。</p>
<p>◆如果多个程序使用同一个数字证书，则该数字证书的有效期要包含所有程序的预计生命周期。</p>
<p>◆Android Market强制要求所有应用程序数字证书的有效期要持续到2033年10月22日以后。</p>
<p>另外，Android数字证书包含以下几个要点：</p>
<p>◆所有的应用程序都必须有数字证书，Android系统不会安装一个没有数字证书的应用程序。</p>
<p>◆Android程序包使用的数字证书可以是自签名的，不需要一个权威的数字证书机构签名认证。</p>
<p>◆如果要正式发布一个Android，必须使用一个合适的私钥生成的数字证书来给程序签名，而不能使用adt插件 或者ant工具 生成的调试证书来发布。</p>
<p>◆ 数字证书都是有有效期的，Android只是在应用程序安装的时候才会检查证书的有效期。如果程序已经安装在系统中，即使证书过期也不会影响程序的正常功能。</p>
<p>◆Android使用标准的java工具 Keytool and Jarsigner 来生成数字证书，并给应用程序包签名</p>
<p>3. 两种模式</p>
<p>构建 Android 应用程序时可以采用调试模式和发布模式：</p>
<p>(1)使用 Android 构建工具(命令行和 Eclipse ADT)构建的应用程序是用一个调试私有密钥自动签名的;这些应用程序被称为调试模式应用程序。调试模式应用程序用于测试，不能够发布。注意，未签名的或者使用调试私有密钥签名的应用程序不能够通过 Android Market 发布。在调试模式下，Android的开发工具会在每次编译时使用调试用的数字证书给程序签名，开发者无须关心。</p>
<p>(2)准备发布自己的应用程序时，必须构建一个发布模式的版本，这意味着用私有密钥签署应用程序。当要发布程序时，开发者就需要使用自己的数字证书给APK包签名，可以有两种方法。</p>
<p>◆在命令行下使用JDK中的和Keytool(用于生成数字证书)和Jarsigner(用于使用数字证书签名)来给APK包签名。</p>
<p>◆使用ADT Export Wizard进行签名(如果没有数字证书可能需要生成数字证书)。</p>
<p>本文出自 “卓越始于足下” 博客，请务必保留此出处http://patterson.blog.51cto.com/1060257/708491</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-21 03:13:06</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e5%ad%97/" title="数字">数字</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e7%a8%8b%e5%ba%8f/" title="程序">程序</a>, <a href="https://www.iamivan.net/tag/%e5%ba%94%e7%94%a8%e7%a8%8b%e5%ba%8f/" title="应用程序">应用程序</a>, <a href="https://www.iamivan.net/tag/%e5%bc%80%e5%8f%91%e8%80%85/" title="开发者">开发者</a>, <a href="https://www.iamivan.net/tag/%e8%af%81%e4%b9%a6/" title="证书">证书</a>, <a href="https://www.iamivan.net/tag/android%e6%97%a0%e7%ba%bf%e8%b0%83%e8%af%95/" title="android无线调试">android无线调试</a>, <a href="https://www.iamivan.net/tag/%e6%b1%87%e7%bc%96%e7%a8%8b%e5%ba%8f/" title="汇编程序">汇编程序</a>, <a href="https://www.iamivan.net/tag/%e7%a8%8b%e5%ba%8f%e5%bc%80%e5%8f%91/" title="程序开发">程序开发</a>, <a href="https://www.iamivan.net/tag/android%e5%ba%94%e7%94%a8/" title="android应用">android应用</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e5%ad%97%e8%af%81%e4%b9%a6/" title="数字证书">数字证书</a>, <a href="https://www.iamivan.net/tag/%e6%ba%90%e7%a8%8b%e5%ba%8f/" title="源程序">源程序</a>, <a href="https://www.iamivan.net/tag/android%e7%b3%bb%e7%bb%9f/" title="android系统">android系统</a>, <a href="https://www.iamivan.net/tag/android%e5%8d%87%e7%ba%a7%e5%8c%85/" title="android升级包">android升级包</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Android应用程序签名概述的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrK1jmp.html" rel="bookmark">Android应用程序签名详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.什么是签名? 如果这个问题不是放在Android开发中来问,如果是放在一个普通的版块,我想大家都 知道签名的含义.可往往就是将一些生活中常用的术语放在计算机这种专业领域,大家就开始迷惑了.计算机 所做的事情,或者说编程语言所做的事情,不正是在尽可能地模拟现实吗?所以,计算机中所说的签名和生活 中所说的签名在本质上是一样的,它所起到的作用也是一致的! 让我们来看看,在现实生活中的签名.比 如下面这张图片: 这是女星孙俪的签名.签名就意味 着在纸上或别处写下自己的名字,或者说在某处打上一个标记作			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNEd4mb.html" rel="bookmark">Android应用程序签名</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android应用程序签名相关的理论知识包括:什么是签名.为什么要给应用程序签名.如何给应用程序签名等. 1.什 么是签名? 如果这个问题不是放在Android开发中来问,如果是放在一个普通的版块,我想大家都知道签名的含义.可往往就 是将一些生活中常用的术语放在计算机这种专业领域,大家就开始迷惑了.计算机所做的事情,或者说编程语言所做的事情,不 正是在尽可能地模拟现实吗?所以,计算机中所说的签名和生活中所说的签名在本质上是一样的,它所起到的作用也是一致的! 2.为什么要给Android应用程序签			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr2yGvM.html" rel="bookmark">Android应用程序签名步骤及相关知识介绍&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文主要讲解Android应用程序签名相关的理论知识,包括:什么是签名.为什么要给应用程序签名.如何给应用程序签名等. 1.什么是签名?      如果这个问题不是放在Android开发中来问,如果是放在一个普通的版块,我想大家都知道签名的含义.可往往就是将一些生活中常用的术语放在计算机这种专业领域,大家就开始迷惑了.计算机所做的事情,或者说编程语言所做的事情,不正是在尽可能地模拟现实吗?所以,计算机中所说的签名和生活中所说的签名在本质上是一样的,它所起到的作用也是一致的!      让我们来看			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBPWgdp.html" rel="bookmark">Android应用程序签名步骤及相关知识介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文主要讲解Android应用程序签名相关的理论知识,包括:什么是签名.为什么要给应用程序签名.如何给应用程序签名等. 1.什么是签名?      如果这个问题不是放在Android开发中来问,如果是放在一个普通的版块,我想大家都知道签名的含义.可往往就是将一些生活中常用的术语放在计算机这种专业领域,大家就开始迷惑了.计算机所做的事情,或者说编程语言所做的事情,不正是在尽可能地模拟现实吗?所以,计算机中所说的签名和生活中所说的签名在本质上是一样的,它所起到的作用也是一致的!      让我们来看			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvJWJ6M.html" rel="bookmark">android apk 程序签名</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java开发环境中的Keytool 和 Jarsigner,注意配置好环境路径,输入命令后有如下提示信息: C:Documents and SettingsF1034740桌面博客文章&gt;Keytool keytool 用法: -certreq     [-v] [-protected]              [-alias &lt;?e名&gt;] [-sigalg &lt;?章演算法&gt;]              [-file &lt;?{??章要求?n案&gt;] [-keypass			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXKLPLM.html" rel="bookmark">关于Android应用apk的程序签名详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				证书并不用让于用户控制可以安装哪些程序,证书也不需要授权中心来签名.在Android系统中,应用程序使用自己签名的证书是完全允许而且是很普遍的. 关于Android应用程序签名主要有以下几个重点: •所有的应用程序都必须签名.系统不会安装任何一个没有签名的程序.这条规则适用于任何运行Android系统的地方,不管是真机还是模拟器.因此必须在模拟器或真机上运行/调试程序之前对程序进行签名. •可以使用自己的证书来签名.不需要任何授权中心. •要为最终用户发布应用程序的时候,必须签入一个合适的密钥.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze0PAxp.html" rel="bookmark">给Android的APK程序签名和重新签名的方法&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				签名工具的使用Android源码编译出来的signapk.jar既可给apk签名,也可给rom签名的.使用格式: java –jar signapk.jar [-w] publickey.x509[.pem] privatekey.pk8 input.jar output.jar -w 是指对ROM签名时需使用的参数 publickey.x509[.pem] 是公钥文件 privatekey.pk8 是指 私钥文件 input.jar 要签名的apk或者rom output.jar 签名后生成的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJkr17b.html" rel="bookmark">android 中的签名问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 android 中的签名问题 在android应用程序中用户在程序的表格中做了签名,签名必须要编辑,清除,保存,我做了保存和清除,但是编辑这项功能却不能运行.我的代码如下,怎么修改呢? mContent = (LinearLayout) findViewById(R.id.linearLayout);mSignature = new signature(this null);mSignature.setBackgroundColor(Color.WHITE);mContent.addV			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MY5yO5M.html" rel="bookmark">利用FRIDA攻击Android应用程序（三）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				利用FRIDA攻击Android应用程序(三)       前言 在我的有关frida的第二篇博客发布不久之后,@muellerberndt决定发布另一个OWASP Android crackme,我很想知道是否可以再次用frida解决.如果你想跟着我做一遍,你需要下面的工具. OWASP Uncrackable Level2 APK Android SDK和模拟器(我使用的是Android 7.1 x64镜像) frida(和frida-server) bytecodeviewer radar			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7Q0AM.html" rel="bookmark" class="title">easyui 设置表单所有input的属性</a>
					<div>
						问题描述 easyui 设置表单所有input的属性 想要设置表单上所有input为禁用,该如何做? $(this).textbox('disable', true); $(this).textbox ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgEvAz.html" rel="bookmark" class="title">ccie-&lowbar;200&lowbar;和&lowbar;200&dollar;有什么区别？（CCIE领域）</a>
					<div>
						问题描述 _200_和_200$有什么区别?(CCIE领域) 200和_200$有什么区别?(CCIE领域)求解答.正在考试呢,速度求大神解答.跪谢 解决方案 Cisco IOS 中使用正则表达式 _ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDKaOp.html" rel="bookmark" class="title">&lpar;X&rpar;HTML Strict 下的嵌套规则</a>
					<div>
						译者注:时间匆忙没有来得及细细研究,希望可以讨论并且完善说明部分(现在说明并不是很全面). 下面是一份在 HTML 4 Strict 和 XHTML 1.0 Strict 下必须遵守的标签嵌套规则,比 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPLE1p.html" rel="bookmark" class="title">SEO优化：高质原创也是一种能力体现</a>
					<div>
						从企业网站seo优化的角度考虑,网站的价值主要体现在哪里?站长们定不约而同地说,是高质量原创软文.没错,随着时间的推移,搜索引擎百度变得更加成熟了.做百度优化的站长们不再只是简单地复制.采集和伪原创, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnoBOz.html" rel="bookmark" class="title">用Web Services服务实现文件上传</a>
					<div>
						services|web|上传 建立一个Web Services服务,public string UploadFile(byte[] fs,string FileName) { try { ///定义 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRxvqz.html" rel="bookmark" class="title">ubb风格论坛中自您上次来后有新的贴子的功能的asp实现</a>
					<div>
						ubb 这是近来用asp改写ubb论坛的体会,不当之处请多多指正可参照chinaasp的网页俱乐部(就是个ubb风格的论坛)ubb论坛有个非常好的特点,就是会标志自您上次访问以来新增的贴子,主要在两个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp55xWp.html" rel="bookmark" class="title">如何分析竞争对手网站选取关键字弥补自己短处</a>
					<div>
						利用自己竞争对手来选取有效的关键字,这需要一定的观察能力和数据分析能力.怎样更好的选取最有效关键字,或者是选取转化率关键字.我们还需要观察竞争对手的关键字,这是肯定和必然.所以说竞争对手有时候能给我们 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPjvGz.html" rel="bookmark" class="title">Android：友盟的自动更新组件</a>
					<div>
						又好又专业的服务能帮开发者省很多时间.一开始做项目也准备自己来统计数据.自己做自动更新,随着使用友盟服务的时间增加,渐渐放弃了这种想法,转而研究如何更充分的使用,这里分享一下使用自动更新组件的心得.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bal4vqz.html" rel="bookmark" class="title">非交互方式远程登录linux主机并更换IP地址</a>
					<div>
						问题分析: 根据开发组同事反应,通过VCenter对RHEL6.0以下版本的系统进行克隆的时候,无法使用高级选项进行IP的指定操作,从而通过CloudStack对新的实例指定IP也是不能实现的,而且, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7Nnlb.html" rel="bookmark" class="title">SQL Server 2008安装过程中出现1608错误的解决办法</a>
					<div>
						一直使用SQL Server 2000 ,觉得安装方便快速,便不想升级到2005/2008.今天有个项目突然要用到2008,于是就在Windows7下安装了一下,没想到碰到一个1608 错误,中间提示 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZO15wb.html" rel="bookmark" class="title">PS人物照片美化粉嫩甜美的淡红色</a>
					<div>
						大致过程如下:先给人物磨皮,这一步是最基础的.然后润色,可以根据自己的喜好选择颜色.最后就是一些细节的美化.过程虽然简单,不过要正真做好还是要点实力的. 原图 最终效果 1.打开图,把人物皮肤上的一些 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRY15p.html" rel="bookmark" class="title">双击无法打开驱动器怎么办</a>
					<div>
						  有的朋友将U盘插到电脑后,双击无法打开驱动器,紧接着双击所有驱动器盘符都没有办法打开,试验以后发现只有使用资源管理器可以.这时怎么回事呢,如何解决电脑双击无法打开的问题呢?下面我们就来学习下造成该 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNx8ZM.html" rel="bookmark" class="title">用WinRAR把机密文件伪装为MP3歌曲的方法</a>
					<div>
						  第一步.把需要加密的文件和一首普通的MP3歌曲放置在同一个文件夹中.在WinRAR主窗口中选择&quot;文件&quot;→&quot;浏览文件夹&quot;(如下图), 第二步.在弹出的对话框中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwlDmb.html" rel="bookmark" class="title">硬盘如何维护与优化？</a>
					<div>
						  一 硬盘的正确安装 硬盘的安装不同于其他部件,它是怕撞击震动的易损部件,所以安装的时候要注意轻拿轻放,在移动中也要避免强 烈的震动,以免损坏硬盘盘片,造成不可修复的物理损伤. 大多数硬盘都安装在机 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b240Ovp.html" rel="bookmark" class="title">任务管理器如何被禁用</a>
					<div>
						  问:任务管理器不小心被禁用了! 按下Ctrl+Alt+Del,提示是:&quot;任务管理器已被系统管理员停用&quot;.右键点击任务栏弹出的菜单,任务管理器不可点击.请问如何解除? 答:不知道 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQL2np.html" rel="bookmark" class="title">请教各位高手&comma;以web形式访问Notes邮箱，报http web server&colon;Function Not Implemented Exception错该如何解决</a>
					<div>
						问题描述 本人在IE地址栏输入格式为http://localhost:81/mail/***.nsf?Login&amp;Username=***&amp;Password=***&amp;Redir ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjex5p.html" rel="bookmark" class="title">大型网站系统架构的演进（一）（转）</a>
					<div>
						前言 写这篇文章的目的是想用来帮助自己思考和理清头绪,以及如何从一个简单的网站架构演进发展成一个大型网站架构,主要侧重在技术方面  简单的网站 由于我没有做过php,那么就以jsp为例,jsp做网站前 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Z7Enz.html" rel="bookmark" class="title">比特币隔离见证正式激活或将引领光明的未来，但政治分歧仍未终结</a>
					<div>
						AI金融评论报道,外媒coindesk消息称,区块高度 481,824. 这是隔离见证(Segwit)正式在比特币网络上的激活时间点,也宣告了长达一年的有关代码升级争论结束.用户终于可以使用这个备受瞩 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDe9Bz.html" rel="bookmark" class="title">算法-ZOJ2676最小割01规划问题</a>
					<div>
						问题描述 ZOJ2676最小割01规划问题 今天看了Amber的&lt;最小割模型在信息学竞赛中的应用&gt;,所以就练习了一下上面的例题,求最小割用的Dinic算法,一直超时,求解啊 解决方案 ht ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjL3JZp.html" rel="bookmark" class="title">编码问题</a>
					<div>
						问题描述 JAVA用Axis2工具wsdl2java生成的客户端服务端是C++GSoap发布的webservice遇到如下问题很明显是编码的问题但是Axis2生成的客户端太乱,我无从下手,不知道在哪里 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7GD2p.html" rel="bookmark" class="title">浅谈如何才能快速成为数据分析师</a>
					<div>
						我小时候的理想是将来做一名数学家,可惜长大了发现自己天赋不够,理想渐行渐远,于是开始考虑现实,开始做一些人生规划,我一直在思考将来从事何种职业,专注什么样的领域,重新定义着自己的职业理想.我现在的职业 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdR41xb.html" rel="bookmark" class="title">last time &quest; first time &colon; continue</a>
					<div>
						纪念快2年的ACM-ICPC生活   正如标题所示,这一次的长春赛区是我的第一次ACM-ICPC正式赛不懂会不会是最后一次.说来惭愧,我们这些ds熬到了大三只能参加一次现场赛. =========== ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBaqgM.html" rel="bookmark" class="title">字符串函数库：htmlentities</a>
					<div>
						htmlentities (PHP3 , PHP4) htmlentities ---&amp;http://www.aliyun.com/zixun/aggregation/37954.html&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkALDrb.html" rel="bookmark" class="title">java-初学JS遇到的难题，求拯救！</a>
					<div>
						问题描述 初学JS遇到的难题,求拯救! 解决方案 红框里的if判断里有一个ucode,在当前function没定义ucode啊 解决方案二: ucode ,这个变量在方法里没声明. 解决方案三: uc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmB1Q5z.html" rel="bookmark" class="title">诺基亚N8行货今天正式发布 最低4868元</a>
					<div>
						作为首款搭载http://www.aliyun.com/zixun/aggregation/17028.html&quot;&gt;Symbian^3系统的智能手机,诺基亚N8所拥有的关注度和人气完全 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6GZgNp.html" rel="bookmark" class="title">photoshop利用滤镜制作彩色光环效果教程</a>
					<div>
						给各位photoshop软件的使用者们来详细的解析分享一下利用滤镜制作彩色光环效果的教程. 教程分享:   新建一个 800*800 像素文档 . (别问我为什么,教程就这么写的).   2.选择菜单 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1Nj3op.html" rel="bookmark" class="title">php中常用文件操作读写函数介绍</a>
					<div>
						用 PHP 内置函数 file_exists 可以检查某个文件或目录是否存在.如果文件或目录存在,file_exists 函数返回 TRUE,如果不存在,则返回 FALSE. 下面是一个简单的检查文件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1gd0b.html" rel="bookmark" class="title">关于微信中a链接无法跳转问题&lowbar;javascript技巧</a>
					<div>
						[问题] 微信页面开发时,各个主页之间的跳转,完全是通过a链接进行的,但是来回跳转几次,再次从其他主页面跳回首页的时候,微信头部出现了跳转加载进度条,但是就是不跳转,也没有任何反应 [范围] 只出现在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWQ0az.html" rel="bookmark" class="title">利用Visual Studio 2010开发系统，如何调用在SSAS中的多维数据集</a>
					<div>
						问题描述 本人最近才接触SQL,需要基于WEB开发一个简单系统,实现查询甚至预测功能.已经建好数据库,利用SSAS做完数据分析,计划利用VisualStudio2010作为开发工具,但是不知道VS如何 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXdq6Wp.html" rel="bookmark" class="title">简单概括结构化布线系统发展历程</a>
					<div>
						结构化布线系统有很多值得学习的地方,这里我们主要介绍结构化布线系统的发展历程,包括介绍10G以太网的发展需求.邻近线缆串扰.市场上领先的10G技术系统等方面. 10GX:结构化布线系统的里程碑 Bel ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
